GrkCodec Struct Reference

## Public Member Functions

| GrkCodec (grk_stream *stream)
| ~GrkCodec ()
grk_codec * | getWrapper (void)

## Static Public Member Functions

static GrkCodec * | getImpl (grk_codec *codec)

## Public Attributes

grk_object | obj
ICodeStreamCompress * | compressor_
ICodeStreamDecompress * | decompressor_

## Private Attributes

grk_stream * | stream_

## Constructor & Destructor Documentation

## GrkCodec()

GrkCodec::GrkCodec | ( | grk_stream * | stream | ) |

References grk::grk_read(), obj, and _grk_object::wrapper.

## ~GrkCodec()

GrkCodec::~GrkCodec | ( |  | ) |

References compressor_, decompressor_, grk_object_unref(), and stream_.

## Member Function Documentation

## getImpl()

static GrkCodec * GrkCodec::getImpl | ( | grk_codec * | codec | ) |

inline static

References _grk_object::wrapper.

Referenced by grk_compress(), grk_compress_init(), grk_compress_start(), grk_decompress(), grk_decompress_get_composited_image(), grk_decompress_get_tile_image(), grk_decompress_init(), grk_decompress_read_header(), grk_decompress_set_window(), grk_decompress_tile(), and grk_dump_codec().

## getWrapper()

grk_codec * GrkCodec::getWrapper | ( | void |  | ) |

inline

References obj.

## Member Data Documentation

## compressor_

ICodeStreamCompress* GrkCodec::compressor_

Referenced by grk_compress_create(), and ~GrkCodec().

## decompressor_

ICodeStreamDecompress* GrkCodec::decompressor_

Referenced by grk_decompress_create(), and ~GrkCodec().

## obj

grk_object GrkCodec::obj

Referenced by getWrapper(), grk_compress_create(), grk_decompress_create(), and GrkCodec().

## stream_

grk_stream* GrkCodec::stream_

private

Referenced by ~GrkCodec().

The documentation for this struct was generated from the following file:

- grok.cpp